Portal    Foro    Buscar    FAQ    Registrarse    Conectarse


Publicar nuevo tema  Responder al tema 
Página 2 de 2
Ir a la página Anterior  1, 2
 
Gambas 3 Y Ubuntu 18.04
Autor Mensaje
Responder citando   Descargar mensaje  
Mensaje Re: Gambas 3 Y Ubuntu 18.04 
 
Shell:

Citar:
Creo que la 3.11.2 es estable. Ya que no sale el mensaje de usar bajo tu propio riesgo.

No se si eso significa que sea estable....
Citar:

Supongamos que quiero volver a la versión anterior. ¿ Eso es posible desde el ppa ?.

Creo que puedes descargar los paquetes (los .deb)  desde aqui:
https://launchpad.net/~gambas-team/...mbas3/+packages

Si pulsas sobre el triangulito, aparece mas información:
 tr
Y si bajas encuentras los archivos .deb de esa version:
 tr2
Se pueden descargar "uno a uno", no se si habrá alguna forma de indicar que te los descarges todos a la vez...
 




===================
Blog personal
Web: SoloGambas seleccion de articulos dedicados a Gambas
Visita el Curso de Gambas3 ¡¡¡Gratuito!!!
 
jsbsan - Ver perfil del usuarioEnviar mensaje privadoVisitar sitio web del usuario 
Volver arribaPágina inferior
Responder citando   Descargar mensaje  
Mensaje Re: Gambas 3 Y Ubuntu 18.04 
 
Para mi ha funcionado:

sudo add-apt-repository ppa:gambas-team/gambas3

Eso instaló la versión 3.11.2, la novedad que tuve es que al abrir las fuentes que estoy desarrollando me dice que no tiene qt5 instalado, así que hay que habilitar en las propiedades del proyecto (ctrl + p) el componente qt4, cerrar y volver a abrir, y funciona, pero claro lo que se compile será con qt4, eso quiere decir que para binarios para Ubuntu 16.04, 16.10, 17.04 y 17.10 que funcionaban con qt5, hay que recompilar los binarios en una de esas distros ya que el error será a la inversa  ( no habrá qt4 y será necesario recompilar con qt5 para ellos).

En resumen hay que hacer los binarios con qt4 o qt5 dependiendo en que distro vayan a trabajar
 



 
chescobar - Ver perfil del usuarioEnviar mensaje privado 
Volver arribaPágina inferior
Responder citando   Descargar mensaje  
Mensaje Re: Gambas 3 Y Ubuntu 18.04 
 
Chescobar:

Citar:
En resumen hay que hacer los binarios con qt4 o qt5 dependiendo en que distro vayan a trabajar

Nota: También tienes que tener en cuenta que versión de gambas3, tiene instalada la distribución. Imagina que en una distro (por ejemplo.... debian), solo puedes instalar gambas3.9, si tu programa lo has hecho en gambas3.11, no te va a funcionar en esa distro.

A mi me paso esto con la distribución Minino Picaros, que tiene la versión de gambas3.5. Yo lo que hago es hacer el programa en esa distro directamente, con gambas3.5, asi me aseguro de que funcione en minino picaros... para otras distribuciones.. pues tendré que ir repasando lo que no funcione..

Recuerdo, por ejemplo, que la camara web, funciona en gambas3.5, pero con otras versiones de gambas3, ya no esta soportada (creo que Vuott, hizo un hilo para explicar como usarla usando librerias en C).

Saludos
 




===================
Blog personal
Web: SoloGambas seleccion de articulos dedicados a Gambas
Visita el Curso de Gambas3 ¡¡¡Gratuito!!!
 
jsbsan - Ver perfil del usuarioEnviar mensaje privadoVisitar sitio web del usuario 
Volver arribaPágina inferior
Responder citando   Descargar mensaje  
Mensaje Re: Gambas 3 Y Ubuntu 18.04 
 
[quote user="jsbsan" post="42101"]Chescobar:

Citar:
Nota: También tienes que tener en cuenta que versión de gambas3, tiene instalada la distribución. Imagina que en una distro (por ejemplo.... debian), solo puedes instalar gambas3.9, si tu programa lo has hecho en gambas3.11, no te va a funcionar en esa distro.


Cuando digo recompilar con qt4 o qt5, es exactamente eso, borras la carpeta oculta .gambas y lo abres desde la IDE de gambas  de la distribución y versión que quieres hacer los binarios (debian, ubuntu, manjaro, etc) , y previo a eso arreglas todo lo que se pueda romper por incompatibilidaes  (cambios de librerías, eliminación de algunas, etc).

Saludos
 



 
chescobar - Ver perfil del usuarioEnviar mensaje privado 
Volver arribaPágina inferior
Mostrar mensajes anteriores:    
 
Ocultar¡Este tema fue útil?

 

Elegir valoración:                       

Media de valoración Valoración mínima Valoración máxima Número de valoraciones
0.00 0 0 0
 
OcultarTemas parecidos
Tema Autor Foro Respuestas último mensaje
No hay nuevos mensajes Error En Gambas 2.20 Y Ubuntu 10.04 Cubel General 6 Viernes, 07 May 2010, 11:36 Ver último mensaje
Cubel
No hay nuevos mensajes Versión De Gambas Ubuntu 10.04 Y 10.10 Cubel Instalación 1 Martes, 30 Noviembre 2010, 20:46 Ver último mensaje
jguardon
No hay nuevos mensajes Gambas En Ubuntu 13.04 soldadozero Controles/Librerías/Componentes 3 Domingo, 30 Junio 2013, 06:02 Ver último mensaje
razaAztk
No hay nuevos mensajes Gambas En Ubuntu X64 Cubel General 2 Domingo, 28 Julio 2013, 16:13 Ver último mensaje
Cubel
 

Publicar nuevo tema  Responder al tema  Página 2 de 2
Ir a la página Anterior  1, 2

Usuarios navegando en este tema: 0 registrados, 0 ocultos y 1 invitado
Usuarios registrados conectados: Ninguno


 
Lista de permisos
No puede crear mensajes
No puede responder temas
No puede editar sus mensajes
No puede borrar sus mensajes
No puede votar en encuestas
No puede adjuntar archivos
No puede descargar archivos
No puede publicar eventos en el calendario